package admin

import (
	"sghgogs.com/micro/auth-client/model/base"
	"time"
)

type RoleItem struct {
	ID          int64              `json:"id"`
	Name        string             `json:"name"`        // 名称
	Description string             `json:"description"` // 描述
	Users       []base.ListMapItem `json:"users"`       // 关联用户
	Permissions []base.ListMapItem `json:"permissions"` // 权限
	CreatedBy   string             `json:"created_by"`  // 创建人
	CreatedAt   time.Time          `json:"created_at"`  // 创建时间
	UpdatedAt   time.Time          `json:"updated_at"`  // 更新时间
	Status      string             `json:"status"`      // "enabled", "disabled"
	IsReserved  bool               `json:"is_reserved"` // 是否可操作
}
