package admin

import (
	"sghgogs.com/micro/auth-client/model/base"
	"time"
)

type UserItem struct {
	Id          int64              `json:"id"`
	Name        string             `json:"name"`         // 名称
	PhoneNumber string             `json:"phone_number"` // 手机号
	Email       string             `json:"email"`        // 邮箱
	Avatar      string             `json:"avatar"`       // 头像
	Status      base.Status        `json:"status"`       // 状态 "enabled"｜"disabled"
	IsReserved  bool               `json:"is_reserved"`
	CreatedAt   time.Time          `json:"created_at"` // 创建时间
	UpdatedAt   time.Time          `json:"updated_at"` // 更新时间
	Roles       []base.ListMapItem `json:"roles"`      // 角色
	Teams       []base.ListMapItem `json:"teams"`      // 团队
}
