package admin

import (
	"sghgogs.com/micro/auth-client/model/base"
	"time"
)

type AdminPermission struct {
	ID          int64              `json:"id"`
	Name        string             `json:"name"`
	Endpoint    string             `json:"endpoint"`
	Description string             `json:"description"`
	Roles       []base.ListMapItem `json:"roles"`
	CreatedAt   time.Time          `json:"created_at"`
	CreatedBy   string             `json:"created_by"`
	UpdatedAt   time.Time          `json:"updated_at"`
	UpdatedBy   string             `json:"updated_by"`
	Status      string             `json:"status"` // 可以是 "enabled", "disabled", "deleted" 等
	IsReserved  bool               `json:"is_reserved"`
}
